﻿using System;
using System.Collections.Generic;
using System.ComponentModel.DataAnnotations;
using System.ComponentModel.DataAnnotations.Schema;
using System.Linq;
using System.Threading.Tasks;

namespace WebApiServer.Models
{
    [Table("RS_Events")]
    public class Event
    {
        [Key]
        [DatabaseGenerated(DatabaseGeneratedOption.Identity)]
        [Column("id")]
        public long Id { get; set; }
        public string Title { get; set; }
        public long BannerId { get; set; }
        [NotMapped]
        public string Banner { get; set; }
        public string Metadata { get; set; }
        public DateTime StartDate { get; set; }
        public DateTime EndDate { get; set; }
        public int Status { get; set; }
        public class EventWinnerInfo
        {
            public string UserId { get; set; }
            public string DisplayName { get; set; }
            public string Metadata { get; set; }
            public int Rank { get; set; }
        }
        [NotMapped]
        public List<EventWinnerInfo> Winners { get; set; }
        public DateTime CreatedDate { get; set; } = DateTime.Now;
        public DateTime ModifiedDate { get; set; } = DateTime.Now;
    }
}
