﻿using System;
using System.Collections.Generic;
using System.ComponentModel.DataAnnotations;
using System.ComponentModel.DataAnnotations.Schema;
using System.Linq;
using System.Threading.Tasks;

namespace WebApiServer.Models
{
    [Table("RS_UsersCompletedEvents")]
    public class UserCompletedEvent
    {
        public enum StatusEnum
        {
            None,
            Collecting = 1,
            Collected = 2,
        }
        [Key]
        [DatabaseGenerated(DatabaseGeneratedOption.Identity)]
        [Column("id")]
        public long Id { get; set; }
        public long EventId { get; set; }
        public string UserId { get; set; }
        public int Rank { get; set; }
        public int Status { get; set; }
        public DateTime CreatedDate { get; set; } = DateTime.Now;
        public DateTime ModifiedDate { get; set; } = DateTime.Now;
    }
}
